Quote
This API is used to obtain the quotes of HK warrants, and supports sorting and filtering.
message WarrantFilterListRequest {
string symbol = 1;
FilterConfig filter_config = 2;
int32 language = 3;
}
message WarrantFilterListResponse {
repeated FilterWarrant warrant_list = 1;
int32 total_count = 2;
}
Quote Permission RequiredFree
Included with OpenAPI activation — no extra purchase needed.
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
symbol | string | Required | Security code, in ticker.region format, for example: 700.HK |
filter_config | object | Required | Filter conditions |
└ sort_by | int32 | Required | Which data to sort by, for example: 0, see the OrderSequence field of the response data |
└ sort_order | int32 | Required | Order: 0 - Ascending, 1 - Descending |
└ sort_offset | int32 | Required | The first data offset of paging, for example: 0 |
└ sort_count | int32 | Required | Number of items per page, for example: 20, no pagination when filling in 0 |
└ type | int32[] | Optional | Filter warrant type: 0 Call, 1 Put, 2 Bull, 3 Bear, 4 Inline |
└ issuer | int32[] | Optional | Filter issuer example: [12,14], obtain Issuer ID through API |
└ expiry_date | int32[] | Optional | Filter expiry date: 1 <3 months, 2 3-6 months, 3 6-12 months, 4 >12 months |
└ price_type | int32[] | Optional | Filter in/out of bounds: 1 In bounds, 2 Out bounds |
└ status | int32[] | Optional | Filter status: 2 Suspend trading, 3 Prepare List, 4 Normal |
language | int32 | Required | Language: 0 zh-CN, 1 en, 2 zh-HK |
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
warrant_list | object[] | Optional | Filtered warrant data list |
└ symbol | string | Optional | Security code |
└ name | string | Optional | Security name |
└ last_done | string | Optional | Latest price |
└ change_rate | string | Optional | Quote change rate |
└ change_val | string | Optional | Quote change |
└ volume | int64 | Optional | Volume |
└ turnover | string | Optional | Turnover |
└ expiry_date | string | Optional | Expiry date, in YYMMDD format |
└ strike_price | string | Optional | Strike price |
└ upper_strike_price | string | Optional | Upper bound price |
└ lower_strike_price | string | Optional | Lower bound price |
└ outstanding_qty | string | Optional | Outstanding quantity |
└ outstanding_ratio | string | Optional | Outstanding ratio |
└ premium | string | Optional | Premium |
└ itm_otm | string | Optional | In/out of the bound |
└ implied_volatility | string | Optional | Implied volatility |
└ delta | string | Optional | Greek value Delta |
└ call_price | string | Optional | Call price |
└ to_call_price | string | Optional | Price interval from the call price |
└ effective_leverage | string | Optional | Effective leverage |
└ leverage_ratio | string | Optional | Leverage ratio |
└ conversion_ratio | string | Optional | Conversion ratio |
└ balance_point | string | Optional | Breakeven point |
└ status | int32 | Optional | Status: 2 Suspend trading, 3 Prepare List, 4 Normal |
total_count | int32 | Optional | Total number of eligible |
Response JSON example
{
"warrant_list": [
{
"symbol": "13157.HK",
"name": "MBTENCT@EP2207A",
"last_done": "2.26",
"change_rate": "-0.0216",
"expiry_date": "20220705",
"strike_price": "442.233",
"status": 4
}
],
"total_count": 1197
}